------------------------------------------------------------------------------
--                              Ada Web Server                              --
--                                                                          --
--                       Copyright (C) 2015, AdaCore                        --
--                                                                          --
--  This library is free software;  you can redistribute it and/or modify   --
--  it under terms of the  GNU General Public License  as published by the  --
--  Free Software  Foundation;  either version 3,  or (at your  option) any --
--  later version. This library is distributed in the hope that it will be  --
--  useful, but WITHOUT ANY WARRANTY;  without even the implied warranty of --
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--  You should have received a copy of the GNU General Public License and   --
--  a copy of the GCC Runtime Library Exception along with this program;    --
--  see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see   --
--  <http://www.gnu.org/licenses/>.                                         --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
------------------------------------------------------------------------------

package SOAP.WSDL.Name_Spaces is

   procedure Register (Key, Value : String);
   --  Register a new name-space. The Key is either the name or the URL. The
   --  value is the corresponding other part.

   function Contains (Key : String) return Boolean;
   --  Returns true if the Key is a known name-space

   function Get (Key : String) return String;
   --  Get the name-space corresponding value for Key

   function Is_XSD (Name : String) return Boolean;
   --  Returns true is the Name corresponds to the XSD URL

end SOAP.WSDL.Name_Spaces;
