------------------------------------------------------------------------------
--                              Ada Web Server                              --
--                                                                          --
--                       Copyright (C) 2015, AdaCore                        --
--                                                                          --
--  This library is free software;  you can redistribute it and/or modify   --
--  it under terms of the  GNU General Public License  as published by the  --
--  Free Software  Foundation;  either version 3,  or (at your  option) any --
--  later version. This library is distributed in the hope that it will be  --
--  useful, but WITHOUT ANY WARRANTY;  without even the implied warranty of --
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--  You should have received a copy of the GNU General Public License and   --
--  a copy of the GCC Runtime Library Exception along with this program;    --
--  see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see   --
--  <http://www.gnu.org/licenses/>.                                         --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
------------------------------------------------------------------------------

package SOAP.WSDL.Schema is

   use type DOM.Core.Node;

   subtype URL is String;

   procedure Register (Namespace : URL; Node : DOM.Core.Node) with
     Pre  => Node /= null,
     Post => Contains (Namespace);
   --  Register a Namespace (URL) for the given DOM tree

   function Contains (Namespace : URL) return Boolean;
   --  Returns True if the Namespace is known (has been registered)

   procedure For_All
     (Namespace : URL;
      Process   : not null access procedure (N : DOM.Core.Node));
   --  Go through all mixed namespaces

end SOAP.WSDL.Schema;
